Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 206232 - scim-chewing: Shift_L + space doesn't work correctly
Summary: scim-chewing: Shift_L + space doesn't work correctly
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: libchewing
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Caius Chance
QA Contact:
URL:
Whiteboard:
Depends On: FC6Target
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-09-13 03:28 UTC by Xiaohong Wang
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2006-09-29 05:56:08 UTC


Attachments (Terms of Use)

Description Xiaohong Wang 2006-09-13 03:28:39 UTC
Description of problem:


Version-Release number of selected component (if applicable):
scim-chewing-0.3.1-4.fc6

How reproducible:
always

Steps to Reproduce:
1.launch gedit
2.activate scim-chewing, ctrl-SPACE
3.press Shift_L + space
  
Actual results:
Chewing switch between Full/Half mode and cursor moves one space in gedit

Expected results:
cursor shouldn't move, Shift_L+space should only switch Full/Half mode

Additional info:

Comment 1 Caius Chance 2006-09-15 04:51:02 UTC
chewing_handle_ShiftEsc() in chewingio.c has problem.

Changed from ' ' to '\0' which is empty character.

Committed to CVS.

Please reopen bug if problem still exists.


Comment 2 Caius Chance 2006-09-15 05:07:26 UTC
Being built in build system.

Comment 3 Caius Chance 2006-09-15 05:51:58 UTC
Package rebuilt.

Comment 4 Caius Chance 2006-09-15 05:58:00 UTC
Reported to upstream:

http://rt.openfoundry.org/Foundry/Project/Tracker/Display.html?Queue=271&id=23570

Comment 5 Xiaohong Wang 2006-09-29 05:05:44 UTC
Verified that it has been fixed in latest FC6:
# rpm -q scim-chewing
scim-chewing-0.3.1-6.fc6



Note You need to log in before you can comment on or make changes to this bug.